package activity;

import java.util.ArrayList;
import java.util.List;

public abstract class AbstractCompositeActivity extends AbstractActivity {
	private List<IWrappable> activityList;
	
	/*public AbstractCompositeActivity() {
		activityList = new ArrayList<IWrappable>();
	}*/
	
	public AbstractCompositeActivity(String type, String name, boolean repeat,
			boolean minor, String startOn, String stopOn, String onBegin,
			String onEnd, String onInterupt, String activate, String deactivate) {
		super(type,name,repeat,minor,startOn,stopOn,onBegin,onEnd,onInterupt,activate,deactivate);
		activityList = new ArrayList<IWrappable>();
	}

	public AbstractCompositeActivity asCompositActivity() {
		return this;
	}
	public void addWrappable(IWrappable activity){
		activityList.add(activity);
	}
	
	public boolean removeWrappable(IWrappable activity){
		return activityList.remove(activity);
	}
}
