package activity;

public class ActionActivity extends AbstractActivity implements IWrappable {
	private String entityName;
	private String activated;
	private String onOccur;
	
	public ActionActivity(String type, String name, boolean repeat,
			boolean minor, String startOn, String stopOn, String onBegin,
			String onEnd, String onInterupt, String activate,
			String deactivate, String entityName, String activated,
			String onOccur) {
		super(type, name, repeat, minor, startOn, stopOn, onBegin, onEnd,
				onInterupt, activate, deactivate);
		this.entityName = entityName;
		this.activated = activated;
		this.onOccur = onOccur;
	}

	public String writeXml(){
		String xml=null;
		xml=super.writeXml();
		xml=xml.substring(0,xml.length()-2);
		if (entityName!=null)
			xml+=" entityName="+entityName;
		if (activated!=null)
			xml+=" activated="+activated;
		if (onOccur!=null)
			xml+=" onOccur="+onOccur;
		return xml;
	}

	public ActionActivity asActionActivity(){
		return this;
	}


	/**
	 * @return the entityName
	 */
	public String getEntityName() {
		return entityName;
	}


	/**
	 * @param entityName the entityName to set
	 */
	public void setEntityName(String entityName) {
		this.entityName = entityName;
	}


	/**
	 * @return the activated
	 */
	public String getActivated() {
		return activated;
	}


	/**
	 * @param activated the activated to set
	 */
	public void setActivated(String activated) {
		this.activated = activated;
	}


	/**
	 * @return the onOccur
	 */
	public String getOnOccur() {
		return onOccur;
	}


	/**
	 * @param onOccur the onOccur to set
	 */
	public void setOnOccur(String onOccur) {
		this.onOccur = onOccur;
	}
	
	
}
